#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Gtk2
%define		pnam	TrayManager
Summary:	Gtk2::TrayManager - Perl bindings for EggTrayManager
Summary(pl.UTF-8):	Gtk2::TrayManager - Dowiązania Perla dla EggTrayManager
Name:		perl-Gtk2-TrayManager
Version:	0.05
Release:	18
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	88cf41ab0d72572ac3d2e9ab9b3ab8f0
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	perl-Glib >= 1.00
BuildRequires:	perl-Gtk2 >= 1.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gtk2::TrayManager allows a Perl developer to create notification area
applications.

%description -l pl.UTF-8
Gtk2::TrayManager pozwala programistom perlowym na tworzenie programów
wykorzystujących obszar powiadamiania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk2/TrayManager.pm
%dir %{perl_vendorarch}/Gtk2/TrayManager
%{perl_vendorarch}/Gtk2/TrayManager/Install
%dir %{perl_vendorarch}/auto/Gtk2/TrayManager
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk2/TrayManager/*.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gtk2-TrayManager.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 351f9a6
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 2bb6984
- rebuild with perl 5.34.0

* Sun May 09 2021 Jan Rękorajski <baggins@pld-linux.org> c59ebde
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a840e14
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> d138e27
- rebuild with perl 5.30.0
- release 15 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> e3fd483
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 899fe6a
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4bbe416
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ba768bb
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> dbb7bd5
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b409898
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8e289fd
- x32 rebuild
- release 8 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 5a6b017
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1806b63
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cc689dd
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1bc3243
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 383e4fd
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f3897e
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 70f3c7f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Mar 27 2007 radek <radek@pld-linux.org> 0d6be19
- release 2

